/* ------------------------------ */
/* ------------ Cart ------------ */
/* ------------------------------ */

body.woocommerce-cart .section:not(.section--site_cover):first-child {
    padding-top: calc(var(--spacing-6) + var(--logo-height));
}

.woocommerce_cart > .button--checkout {
    margin-top: 0 !important;
    text-align: right;
}

.woocommerce-cart button[name="update_cart"], .woocommerce-cart input[name="update_cart"] {
	display: none;
}

.fake_table__cell--price, .fake_table__cell--subtotal, .fake_table--totals .fake_table__cell--value, .button--checkout {
    text-align: right;
}

.fake_table--totals .fake_table__cell--value {
    word-break: break-word;
}

.product__price ins {
    text-decoration: unset;
    color: var(--color-ss-camo);
}

.fake_table__cell--subtotal {
    font-weight: bold;
}


/* Product table */
.fake_table--products {
    margin-bottom: 0;
}

.fake_table--products .fake_table__cell {
    position: relative;
}

.product-remove {
    margin-top: var(--spacing-2);
    line-height: 1;
}

.product-remove a {
    display: inline-block;
    font-size: calc(var(--font-size-1) - 1px);
    font-weight: normal;
    opacity: var(--opacity-1);

    -webkit-transition: opacity var(--transition-1);
    -o-transition: opacity var(--transition-1);
    transition: opacity var(--transition-1);
}

.no-touchevents .product-remove a:hover, .no-touchevents a.woocommerce-remove-coupon:hover {
    opacity: 1;
}

a.woocommerce-remove-coupon {
    display: block;
    margin-top: -2px;
    font-size: 12px;
}

.fake_table--products .fake_table__cell--quantity {
    padding-left: var(--spacing-4);
}


/* Totals table */
.fake_table--totals {
    margin: 0 0 var(--spacing-4) !important;
    font-size: var(--font-size-copy);
    font-weight: bold;
}

.fake_table--totals .fake_table__row {
    border-color: rgba(255,255,255,.7);
}

.fake_table--totals.fake_table .order-total:last-child, .fake_table--totals .fake_table__row--order_total:last-child {
    border-color: rgba(255,255,255,.7);
}

.fake_table--totals .fake_table__cell--label, .fake_table--totals .fake_table__cell--shipping > span, .fake_table__row.shipping .woocommerce-shipping-methods:not(.woocommerce-shipping-methods--multiple) label {
    text-transform: uppercase;
}

.fake_table__row.shipping .woocommerce-shipping-methods label:not(.woocommerce-shipping-methods--multiple) span {
    text-transform: none;
    letter-spacing: 0;
}

.woocommerce-shipping-methods--multiple input[type="radio"] {
    position: absolute;
    z-index: 1;
    left: 0;
    width: 16px;
    height: 16px;
    border: 1px solid var(--color-black);
    border-radius: 50%;
}

.woocommerce-shipping-methods--multiple input[type="radio"]::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background-color: transparent;
    opacity: 0;

    -webkit-transition: opacity var(--transition-1);
    -o-transition: opacity var(--transition-1);
    transition: opacity var(--transition-1);
}

.woocommerce-shipping-methods--multiple input[type="radio"]:checked::before {
    background-color: var(--color-black);
    opacity: 1;
}

.woocommerce-shipping-methods--multiple label {
    cursor: pointer;
}

.fake_table__row.shipping .fake_table__cell {
    width: 100%;
}

.fake_table__row.shipping .woocommerce-shipping-methods {
    font-weight: normal;
}

.fake_table__row.shipping .woocommerce-shipping-methods--multiple > .form_item {
    margin: 2px 0;
}

.fake_table__row.shipping .woocommerce-shipping-methods--multiple > .form_item:last-child {
    margin-bottom: 0;
}

.fake_table__row.shipping .woocommerce-shipping-methods .form_item__input--single {
    font-weight: bold;
}

.cart_totals .shipping_method__item {
    position: relative;
    margin-bottom: 0;
}

.shipping_method__item label > span {
    float: right;
    font-weight: bold;
}

.cart_totals .button {
    width: 100%;
    margin-bottom: var(--spacing-2);
    text-align: center;
}

.cart_totals .button a {
    display: block;
}

.cart_totals .button a svg {
    display: none;
}

.cart_totals .cart-discount {
    -webkit-box-align: initial;
    -ms-flex-align: initial;
    align-items: initial;
}


/* Infos */
.woocommerce_cart__checkout__infos, .woocommerce_cart__checkout__infos h4 {
    font-size: var(--font-size-copy);
}


/* Delivery time */
.woocommerce_shipping_date {
    margin-bottom: var(--spacing-6-6);
}

.woocommerce_shipping_date:last-child {
    margin-bottom: 0;
}

.woocommerce_shipping_date small {
    display: block;
}


/* Payment */
.woocommerce_shipping_payments:last-child {
    margin-bottom: 0;
}

.woocommerce_shipping_payments .payment_methods__images {
    margin-top: var(--spacing-2);
}

.woocommerce_shipping_payments ul.payments {
    margin-top: 0 !important;
}

.woocommerce_shipping_payments ul.payments li:not(.payment--vorkasse) {
    max-width: 47px;
    border: 1px solid var(--color-grey);
    border-radius: 3px;
}


/* Empty */
.woocommerce-cart .shop_links__cart .shop_links__cart__trigger {
    cursor: default;
    pointer-events: none;
}

.section--cart-empty h1 {
    margin-bottom: var(--spacing-4);
}

.section--cart-empty > .section__buttons {
    padding-top: 0 !important;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 576px) {

    .product__price del {
        margin-right: 4px;
    }

    .woocommerce-shipping-methods--multiple label {
        padding-left: 23px;
    }

}


@media all and (min-width: 992px) {

    .fake_table--products .fake_table__cell {
        width: 20%;
    }
    
    .fake_table--products .fake_table__cell--info {
        width: 60%;
    }

    .fake_table--totals .fake_table__row:not(.order-total) .fake_table__cell {
        font-size: var(--font-size-2);
    }

    .woocommerce_shipping_payments {
        margin-bottom: var(--spacing-6-6);
    }

    .fake_table--totals .fake_table__cell {
        width: 50%;
    }

    .woocommerce_cart__checkout__totals .cart_totals.box {
        padding-top: calc(var(--spacing-4) + 2px);
    }

}


@media all and (min-width: 1240px) {

    .woocommerce-cart main {
        min-height: calc(100vh - 390px);
    }

    .fake_table--products {
        margin-top: var(--spacing-7);
    }

    .woocommerce_cart__checkout {
        margin-top: var(--spacing-8);
    }

    .cart_totals .button a {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    .woocommerce-shipping-methods--multiple input[type="radio"] {
        top: 3px;
    }

    .fake_table--totals .fake_table__cell--label, .fake_table--totals .fake_table__cell--shipping > span, .fake_table__row.shipping .woocommerce-shipping-methods:not(.woocommerce-shipping-methods--multiple) label {
        letter-spacing: 1px;
    }

}


@media all and (min-width: 1400px) {

    .section--cart-empty {
        padding-top: calc(160px + var(--header-height));
    }

}


@media all and (max-width: 1399.98px) and (min-width: 1240px) {

    .section--cart-empty {
        padding-top: calc(150px + var(--header-height));
    }

}


@media all and (max-width: 1239.98px) and (min-width: 576px) {

    .cart_totals .button a {
        padding-left: 18px !important;
        padding-right: 18px !important;
    }

    .fake_table--totals .fake_table__cell--label, .fake_table--totals .fake_table__cell--shipping > span, .fake_table__row.shipping .woocommerce-shipping-methods:not(.woocommerce-shipping-methods--multiple) label {
        letter-spacing: .5px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 576px) {

    .woocommerce-shipping-methods--multiple input[type="radio"] {
        top: 2px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {

    .woocommerce-cart main {
        min-height: calc(100vh - 370px);
    }

    .section--cart-empty {
        padding-top: calc(140px + var(--header-height));
    }

    .fake_table--products {
        margin-top: var(--spacing-6-6);
    }

    .woocommerce_cart__checkout {
        margin-top: var(--spacing-7);
    }

}


@media all and (max-width: 991.98px) {

    .woocommerce_shipping_payments {
        margin-bottom: var(--spacing-6-5);
    }

    .fake_table--products {
        margin-top: var(--spacing-6);
    }

    .woocommerce_cart__checkout {
        margin-top: var(--spacing-6-6);
    }

    .woocommerce_cart__checkout__infos {
        margin-bottom: var(--spacing-6-6);
    }

    .woocommerce_cart__checkout__totals .cart_totals.box {
        padding-top: 11px;
    }

}


@media all and (max-width: 991.98px) and (min-width: 576px) {

    .section--cart-empty {
        padding-top: calc(var(--spacing-9) + var(--header-height));
    }

    .fake_table--totals .fake_table__cell--label {
        width: 65%;
    }

    .fake_table--totals .fake_table__cell--value {
        width: 35%;
    }

    .fake_table--totals .fake_table__row:not(.order-total) .fake_table__cell {
        font-size: 15px;
    }

}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .woocommerce-cart main {
        min-height: calc(100vh - 340px);
    }

    .fake_table--products .fake_table__cell {
        width: 22%;
    }
    
    .fake_table--products .fake_table__cell--info {
        width: 56%;
    }

}


@media all and (max-width: 767.98px) {

    .fake_table__row--header {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .fake_table__row--header .fake_table__cell--quantity {
        display: none;
    }

    .fake_table__row.fake_table__row--product {
        position: relative;
        padding: 0;
        border-top: 0;
        -webkit-box-align: unset;
        -ms-flex-align: unset;
        align-items: unset;
    }

    .fake_table__row--product .product_info .product_info__name {
        padding-bottom: 50px;
    }

    .fake_table__row--product .product_info .product_info__name > a {
        margin-bottom: 4px;
        line-height: var(--line-height-3);
    }

    .fake_table--products .fake_table__cell--quantity {
        position: absolute;
        padding: 0;
        bottom: var(--spacing-4);
    }

    .product-remove {
        position: absolute;
        margin: 0;
    }

    .fake_table__row.order-total {
        padding-bottom: 6px;
    }
    
}


@media all and (max-width: 767.98px) and (min-width: 360px) {

    .fake_table--products .fake_table__cell--info {
        width: 70%;
    }

    .fake_table--products .fake_table__cell--subtotal {
        width: 30%;
    }

    .fake_table--products .fake_table__cell--subtotal::before {
        display: none;
    }

}


@media all and (max-width: 767.98px) and (min-width: 576px) {

    .woocommerce-cart main {
        min-height: calc(100vh - 460px);
    }

    .fake_table--products .fake_table__cell--quantity {
        left: 94px;
    }

    .product-remove {
        bottom: 25px;
        left: 220px;
    }

}


@media all and (max-width: 575.98px) {

    .woocommerce-cart main {
        min-height: calc(100vh - 462px);
    }

    .fake_table__row--product .product_info .product_info__name {
        padding-right: var(--spacing-4);
    }

    .fake_table--products .fake_table__cell--quantity {
        left: 74px;
    }

    .product-remove {
        bottom: 21px;
        left: 184px;
    }

    .product-remove a {
        font-size: calc(var(--font-size-1) - 2px);
    }

    .fake_table--products .fake_table__cell--subtotal {
        padding-left: 0;
    }

    .fake_table--totals .fake_table__cell--value {
        padding-left: 0;
    }

    .cart_totals .cart-discount .fake_table__cell--value span {
        display: inline-block;
        line-height: var(--line-height-2);
    }

    .section--cart-empty {
        padding-top: calc(var(--spacing-9) + var(--header-height));
    }

    .product__price del {
        margin-right: 2px;
    }

    .fake_table__cell--subtotal {
        line-height: var(--line-height-3);
    }

    .woocommerce_cart__overview .qty_container {
        width: 101px;
        padding: 0 32px;
    }

    .woocommerce_cart__overview input.qty__input, .woocommerce_cart__overview button.qty__btn {
        height: 34px;
    }

    .woocommerce_cart__overview input[type="number"].qty__input {
        width: 34px;
        font-size: var(--font-size-1);
    }

    .woocommerce_cart__overview button.qty__btn {
        width: 32px;
    }

    .woocommerce_cart__overview button.qty__btn.qty__btn--decrease::before, .woocommerce_cart__overview button.qty__btn.qty__btn--increase::before {
        width: 10px;
    }

    .woocommerce_cart__overview button.qty__btn.qty__btn--increase::after {
        height: 10px;
    }

    .woocommerce-shipping-methods--multiple input[type="radio"] {
        top: 1px;
    }

    .fake_table--totals .fake_table__cell--label, .fake_table--totals .fake_table__cell--shipping > span, .fake_table__row.shipping .woocommerce-shipping-methods:not(.woocommerce-shipping-methods--multiple) label {
        letter-spacing: .25px;
    }

    .woocommerce-shipping-methods--multiple label {
        padding-left: 22px;
    }

    .cart_totals .button a {
        padding-left: 14px !important;
        padding-right: 14px !important;
    }

}


@media all and (max-width: 575.98px) and (min-width: 390px) {

    .fake_table--totals .fake_table__cell--label {
        width: 65%;
    }

    .fake_table--totals .fake_table__cell--value {
        width: 35%;
        padding-left: 0;
    }

    .fake_table--totals .fake_table__row:not(.order-total) .fake_table__cell {
        font-size: 14px;
    }

    .fake_table__cell--subtotal {
        font-size: var(--font-size-2);
    }

}


@media all and (max-width: 389.98px) {

    .woocommerce_cart__checkout__totals .cart_totals.box {
        padding: 0;
        background-color: transparent;
    }

    .fake_table--totals > div {
        border-color: var(--color-grey) !important;
    }

    .fake_table--totals > .cart-subtotal {
        border-top: 1px solid var(--color-grey);
    }

    .fake_table--totals .fake_table__cell--value {
        padding-left: 0;
    }

    .fake_table--totals .fake_table__row:not(.order-total) .fake_table__cell {
        font-size: 13px;
    }

    .fake_table__cell--subtotal {
        font-size: var(--font-size-2);
    }

}



@media all and (max-width: 389.98px) and (min-width: 360px) {

    .fake_table--totals .fake_table__cell--label {
        width: 64%;
    }

    .fake_table--totals .fake_table__cell--value {
        width: 36%;
    }

}


@media all and (max-width: 359.98px) {

    .fake_table__row--header {
        display: none;
    }

    .fake_table__row--header + .fake_table__row {
        border-top: 1px solid var(--color-grey);
    }

    .fake_table__row--product .fake_table__cell--info {
        padding-bottom: 0;
    }

    .fake_table__row--product .product_info .product_info__name {
        padding-bottom: 54px;
    }

    .fake_table--products .fake_table__cell--quantity {
        bottom: calc(var(--spacing-4) + 43px);
    }

    .fake_table--products .fake_table__cell--subtotal {
        text-align: left;
        padding-top: 0;
        padding-left: calc(64px + var(--spacing-1) * 2);
    }

    .fake_table--totals .fake_table__cell--label {
        padding-bottom: 0;
    }

    .fake_table--totals .fake_table__cell--value {
        text-align: left;
        padding-top: 0;
    }

    .shipping_method__item label > span {
        display: block;
        float: none;
    }

}